## khelpcenter 17.12.3

=== searchhandlers/CMakeLists.txt ===
include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${LIBXML2_INCLUDE_DIR}
)

# Xapian does not like signals/slots #define's
add_definitions(-DQT_NO_KEYWORDS)

# Xapian indexer
set(khc_xapianindexer_SOURCES
   cachereader.cpp
   htmltextdump.cpp
   xapiancommon.cpp
   xapianindexer.cpp
)
add_executable(khc_xapianindexer ${khc_xapianindexer_SOURCES})
kde_target_enable_exceptions(khc_xapianindexer PRIVATE)
ecm_mark_nongui_executable(khc_xapianindexer)
target_link_libraries(khc_xapianindexer Qt5::Core KF5::Archive KF5::CoreAddons ${XAPIAN_LIBRARIES} ${LIBXML2_LIBRARIES})
if (${KF5_VERSION} VERSION_GREATER 5.35.0)
    # practically means >=5.36
    target_link_libraries(khc_xapianindexer KF5::DocTools)
endif()
install(TARGETS khc_xapianindexer DESTINATION ${LIBEXEC_INSTALL_DIR})

# Xapian search
set(khc_xapiansearch_SOURCES
   xapiancommon.cpp
   xapiansearch.cpp
)
add_executable(khc_xapiansearch ${khc_xapiansearch_SOURCES})
kde_target_enable_exceptions(khc_xapiansearch PRIVATE)
ecm_mark_nongui_executable(khc_xapiansearch)
target_link_libraries(khc_xapiansearch Qt5::Core ${XAPIAN_LIBRARIES})
install(TARGETS khc_xapiansearch DESTINATION ${LIBEXEC_INSTALL_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/xapian.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/xapian.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xapian.desktop DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/searchhandlers)

if (NOT WIN32)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/man.desktop.cmake
${CMAKE_CURRENT_BINARY_DIR}/man.desktop )

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man.desktop DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/searchhandlers)

install(PROGRAMS khc_mansearch.pl DESTINATION ${LIBEXEC_INSTALL_DIR})

endif ()

=== doc/fundamentals/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR fundamentals)

=== plugins/Scrollkeeper/CMakeLists.txt ===
install( FILES .directory DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Scrollkeeper )

=== debian/changelog ===
khelpcenter (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:11 +0000

khelpcenter (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:58:01 +0000

khelpcenter (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:55 +0000

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, ${misc:Depends}, ${shlibs:Depends}
Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
        khelpcenter4 (<< 4:5.0.0)
Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
          khelpcenter4 (<< 4:5.0.0)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Priority: optional
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/khelpcenter-([\d.]+)\.tar\.xz

## khelpcenter 18.04.0

=== debian/changelog ===
khelpcenter (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the transitional khelpcenter4 package, already shipped in stable,
    and no more referenced by packages in the Debian archive (Closes: #874757)
    - stop forcing --destdir on dh_auto_install, there is only one binary now
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 09 May 2018 08:06:45 +0200

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.20.0~),
               kinit-dev (>= 5.20.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.20.0~),
               libkf5bookmarks-dev (>= 5.20.0~),
               libkf5config-dev (>= 5.20.0~),
               libkf5coreaddons-dev (>= 5.20.0~),
               libkf5dbusaddons-dev (>= 5.20.0~),
               libkf5doctools-dev (>= 5.20.0~),
               libkf5i18n-dev (>= 5.20.0~),
               libkf5khtml-dev (>= 5.20.0~),
               libkf5service-dev (>= 5.20.0~),
               libkf5windowsystem-dev (>= 5.20.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khelpcenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khelpcenter.git

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Add kde-l10n:all substvar
l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='khelpcenter-dbg (<= 4:5.5.5-1~~)'

## khelpcenter 18.04.3

=== debian/changelog ===
khelpcenter (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:36 +0100

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, ${misc:Depends}, ${shlibs:Depends}
Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
        khelpcenter4 (<< 4:5.0.0)
Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
          khelpcenter4 (<< 4:5.0.0)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Priority: optional
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## khelpcenter 18.12.3

=== debian/changelog ===
khelpcenter (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:59 +0000

khelpcenter (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:18 +0000

khelpcenter (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:11:01 +0000

khelpcenter (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:24 +0000

khelpcenter (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 08:27:41 +0000

## khelpcenter 19.04.3

=== debian/changelog ===
khelpcenter (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:38 +0100

khelpcenter (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:24 +0100

khelpcenter (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:26 +0100

khelpcenter (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:56 +0100

## khelpcenter 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set (KDE_APPLICATIONS_COMPACT_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}${KDE_APPLICATIONS_VERSION_MINOR}${KDE_APPLICATIONS_VERSION_MICRO}")

project(KHelpCenter VERSION "5.7.5.${KDE_APPLICATIONS_COMPACT_VERSION}")

set(QT_MIN_VERSION "5.9.0")

set(KF5_MIN_VERSION "5.64.0")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    DBus
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Config
    CoreAddons
    DBusAddons
    DocTools
    I18n
    Init
    KHtml
    Service
    WindowSystem
)

find_package(Grantlee5 REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "Support for HTML templates"
    URL "http://grantlee.org/"
    TYPE REQUIRED)

find_package(Xapian REQUIRED)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "Support for text indexing and searching"
    URL "https://xapian.org/"
    TYPE REQUIRED)

find_package(LibXml2 REQUIRED)
set_package_properties(LibXml2 PROPERTIES
    DESCRIPTION "Support for extracting text from HTML documents"
    URL "http://www.xmlsoft.org/"
    TYPE REQUIRED)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

add_subdirectory( plugins )
add_subdirectory( searchhandlers )
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()
add_subdirectory( doc )
add_subdirectory( templates )

########### next target ###############

set(khelpcenter_KDEINIT_SRCS
   navigator.cpp
   navigatoritem.cpp
   navigatorappitem.cpp
   navigatorappgroupitem.cpp
   view.cpp
   searchwidget.cpp
   searchengine.cpp
   docmetainfo.cpp
   docentrytraverser.cpp
   grantleeformatter.cpp
   glossary.cpp
   toc.cpp
   mainwindow.cpp
   docentry.cpp
   history.cpp
   application.cpp
   treebuilder.cpp
   infotree.cpp
   fontdialog.cpp
   plugintraverser.cpp
   scrollkeepertreebuilder.cpp
   bookmarkowner.cpp
   searchhandler.cpp )
ecm_qt_declare_logging_category(khelpcenter_KDEINIT_SRCS HEADER khc_debug.h IDENTIFIER KHC_LOG CATEGORY_NAME org.kde.khelpcenter)

kconfig_add_kcfg_files(khelpcenter_KDEINIT_SRCS prefs.kcfgc )
# kf5_add_app_icon(khelpcenter_KDEINIT_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/help-browser.png")

kf5_add_kdeinit_executable( khelpcenter ${khelpcenter_KDEINIT_SRCS})
target_compile_definitions(kdeinit_khelpcenter PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kdeinit_khelpcenter KF5::KHtml KF5::Service KF5::DBusAddons KF5::ConfigGui KF5::WindowSystem KF5::Bookmarks Qt5::Xml Grantlee5::Templates)
target_link_libraries(kdeinit_khelpcenter KF5::DocTools)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(TARGETS kdeinit_khelpcenter  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS khelpcenter ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.Help.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES khelpcenter.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SHARE_INSTALL_PREFIX}/kde4/services )
install( FILES table-of-contents.xslt glossary.xslt DESTINATION ${DATA_INSTALL_DIR}/khelpcenter )
install( FILES khelpcenterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/khelpcenter )
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES khelpcenter.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES khelpcenter.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()
install( FILES org.kde.Help.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
khelpcenter (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:55 +0000

khelpcenter (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:24 +0000

khelpcenter (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:29 +0000

khelpcenter (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:07 +0000

khelpcenter (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:32:50 +0000

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 # Add kde-l10n:all substvar
-l10npkgs_firstversion_ok := 4:16.04.3-7~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:

## khelpcenter 20.08.1

=== debian/changelog ===
khelpcenter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:43 +0100

khelpcenter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:47:07 +0100

khelpcenter (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:37:41 +0100

khelpcenter (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.64.0
    - explicitly add gettext
  * Drop the migration from khelpcenter-dbg, no more needed after two Debian
    stable releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Unregister khelpcenter.categories as conffile, as it is no more in /etc.
  * Update lintian overrides.
  * Add the configuration for the CI on salsa.
  * Conflict against dhelp < 0.6.26, as previous versions used to wipe out
    /usr/share/doc/HTML. (Closes: #929882)

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 11:18:10 +0200

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.64.0~),
               gettext,
               kinit-dev (>= 5.64.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.64.0~),
               libkf5bookmarks-dev (>= 5.64.0~),
               libkf5config-dev (>= 5.64.0~),
               libkf5coreaddons-dev (>= 5.64.0~),
               libkf5dbusaddons-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.64.0~),
               libkf5khtml-dev (>= 5.64.0~),
               libkf5service-dev (>= 5.64.0~),
               libkf5windowsystem-dev (>= 5.64.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khelpcenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khelpcenter.git

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Conflicts: dhelp (<< 0.6.26)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Add kde-l10n:all substvar
l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## khelpcenter 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-set (KDE_APPLICATIONS_COMPACT_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}${KDE_APPLICATIONS_VERSION_MINOR}${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set (KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(KHelpCenter VERSION "5.7.5.${KDE_APPLICATIONS_COMPACT_VERSION}")
+project(KHelpCenter VERSION "5.7.6.${KDE_APPLICATIONS_COMPACT_VERSION}")
 
-set(QT_MIN_VERSION "5.9.0")
+set(QT_MIN_VERSION "5.12.0")
 
 set(KF5_MIN_VERSION "5.64.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -50,7 +50,7 @@
 find_package(Grantlee5 REQUIRED)
 set_package_properties(Grantlee5 PROPERTIES
     DESCRIPTION "Support for HTML templates"
-    URL "http://grantlee.org/"
+    URL "https://github.com/steveire/grantlee"
     TYPE REQUIRED)
 
 find_package(Xapian REQUIRED)
@@ -64,9 +64,6 @@
     DESCRIPTION "Support for extracting text from HTML documents"
     URL "http://www.xmlsoft.org/"
     TYPE REQUIRED)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
 
 add_definitions(
   -DQT_USE_QSTRINGBUILDER
@@ -74,8 +71,11 @@
   -DQT_NO_CAST_FROM_ASCII
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
-  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
 )
+
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+
 
 add_subdirectory( plugins )
 add_subdirectory( searchhandlers )

=== plugins/CMakeLists.txt ===

add_subdirectory( Applications ) 
if (NOT WIN32)
add_subdirectory( Manpages ) 
add_subdirectory( Scrollkeeper ) 
endif ()


########### install files ###############

install( FILES fundamentals.desktop plasma.desktop 
               onlinehelp.desktop 
               info.desktop kicmodules.desktop 
               kcontrolmodules.desktop 
               konquerorcontrolmodules.desktop
               browsercontrolmodules.desktop 
               filemanagercontrolmodules.desktop
               othercontrolmodules.desktop 
               kioslaves.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins )

=== templates/CMakeLists.txt ===
install( FILES glossary.html index.html search.html DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/templates )

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(testmetainfo_SRCS
    testmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentry.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentrytraverser.cpp )
ecm_qt_declare_logging_category(testmetainfo_SRCS HEADER khc_debug.h IDENTIFIER KHC_LOG CATEGORY_NAME org.kde.khelpcenter)

kconfig_add_kcfg_files(testmetainfo_SRCS ../prefs.kcfgc)

add_executable(testmetainfo ${testmetainfo_SRCS})
ecm_mark_as_test(testmetainfo)

target_link_libraries(testmetainfo KF5::ConfigGui KF5::CoreAddons KF5::I18n)

=== plugins/Applications/CMakeLists.txt ===
install( FILES .directory  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Applications )

=== plugins/Manpages/CMakeLists.txt ===

install( FILES .directory man1.desktop man2.desktop man3.desktop man4.desktop    man5.desktop man6.desktop man7.desktop man8.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Manpages )

=== debian/changelog ===
khelpcenter (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - Qt >= 5.12
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Remove override for tag postinst-must-call-ldconfig dropped from lintian.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Drop breaks/replaces against khelpcenter4.
  * Lintian renamed tag binary-without-manpage => no-manual-page.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Dec 2020 15:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.64.0~),
                gettext,
                kinit-dev (>= 5.64.0~),
@@ -23,10 +23,10 @@
                libxml2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.12.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
+Homepage: https://invent.kde.org/system/khelpcenter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khelpcenter
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khelpcenter.git
 
@@ -34,8 +34,6 @@
 Architecture: any
 Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: man-db
-Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
-Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
 Conflicts: dhelp (<< 0.6.26)
 Description: KDE documentation viewer
  KHelpCenter uses meta data files which describe the documentation

## khelpcenter 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
khelpcenter (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:09 +0000

khelpcenter (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:54:16 +0000

khelpcenter (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:10:25 +0000

## khelpcenter 21.08.0

=== debian/changelog ===
khelpcenter (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:51:17 +0800

khelpcenter (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:13:12 +0900

khelpcenter (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 18:43:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: khelpcenter
 Section: doc
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.64.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
                kinit-dev (>= 5.64.0~),
                libgrantlee5-dev,
-               libkf5archive-dev (>= 5.64.0~),
-               libkf5bookmarks-dev (>= 5.64.0~),
-               libkf5config-dev (>= 5.64.0~),
-               libkf5coreaddons-dev (>= 5.64.0~),
-               libkf5dbusaddons-dev (>= 5.64.0~),
-               libkf5doctools-dev (>= 5.64.0~),
-               libkf5i18n-dev (>= 5.64.0~),
-               libkf5khtml-dev (>= 5.64.0~),
-               libkf5service-dev (>= 5.64.0~),
-               libkf5windowsystem-dev (>= 5.64.0~),
+               libkf5archive-dev (>= 5.83.0~),
+               libkf5bookmarks-dev (>= 5.83.0~),
+               libkf5config-dev (>= 5.83.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5dbusaddons-dev (>= 5.83.0~),
+               libkf5doctools-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5khtml-dev (>= 5.83.0~),
+               libkf5service-dev (>= 5.83.0~),
+               libkf5windowsystem-dev (>= 5.83.0~),
                libxapian-dev,
                libxml2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/khelpcenter

## khelpcenter 21.08.1

=== debian/changelog ===
khelpcenter (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:47 +0100

khelpcenter (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:27 +0100

khelpcenter (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:55:42 +0100

khelpcenter (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:02 +0100

khelpcenter (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:31 +0100

khelpcenter (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:11 +0100

khelpcenter (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:06:38 +0100

khelpcenter (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:35:51 +0100
